Bug 1348274 - eclipse-pdt: FTBFS in rawhide
Summary: eclipse-pdt: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pdt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 16:01 UTC by Mikolaj Izdebski
Modified: 2016-07-22 18:24 UTC (History)
2 users (show)

Fixed In Version: eclipse-pdt-4.0.0-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-22 18:24:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikolaj Izdebski 2016-06-20 16:01:22 UTC
Description of problem:
Package eclipse-pdt fails to build from source in rawhide.

Analysis: eclipse-pdt requires package "org.eclipse.wst.jsdt.nashorn.extension.loader", which is provided by eclipse-webtools, but bundle containing this code is not installed (it's skipped with %mvn_package __noinstall).

Suggested fix: install skipped module in eclipse-webtools OR mark OSGi dependency as optional.

Version-Release number of selected component (if applicable):
3.7.0-1.fc25

Steps to Reproduce:
koji build --scratch f25 eclipse-pdt-3.7.0-1.fc25.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://apps.fedoraproject.org/koschei/package/eclipse-pdt

Comment 1 Fedora Update System 2016-07-08 08:13:58 UTC
eclipse-xsd-2.12.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-pdt-4.0.0-1.fc24 lucene-5.5.0-3.fc24 eclipse-dltk-5.5.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 2 Fedora Update System 2016-07-10 15:58:19 UTC
eclipse-dltk-5.5.0-2.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-pdt-4.0.0-1.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 3 Fedora Update System 2016-07-11 20:57:04 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 4 Fedora Update System 2016-07-13 01:25:18 UTC
eclipse-dltk-5.5.0-2.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-2.fc24, eclipse-pdt-4.0.0-1.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 5 Fedora Update System 2016-07-14 14:27:48 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 6 Fedora Update System 2016-07-15 11:54:44 UTC
eclipse-dltk-5.5.0-3.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-3.fc24, eclipse-pdt-4.0.0-2.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 7 Fedora Update System 2016-07-22 18:24:18 UTC
eclipse-dltk-5.5.0-3.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-3.fc24, eclipse-pdt-4.0.0-2.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.